
%define qtmajor 5
%define qtminor 6
%define qtsubminor 2

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define qttarballdir qtcanvas3d-opensource-src-%{qtversion}


Name: qtcanvas3d5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt5 - Canvas3d component
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %version
BuildRequires: qtcore5-private-devel = %version
BuildRequires: qtqml5-devel = %version
BuildRequires: qt5qml-private-devel = %version
BuildRequires: %{_lib}qt5quick-devel
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt5 Canvas3D component

%files
%_qt5_qml/QtCanvas3D


#------------------------------------------------------------------------------

%prep
%setup -q -n qtcanvas3d-opensource-src-%{qtversion}

%build
%qmake_qt5

%make
#------------------------------------------------------------------------------

%install
rm -rf %buildroot
%qmakeinstall_std

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a
rm -rf  %{buildroot}%_qt5_examplesdir

%changelog
* Fri Mar 31 2017 adrianomorselli <adrianomorselli> 5.6.2-1uplos2017
- update
